Skip to main content
Credentials

Credential の削除

Vault から Credential を削除します。

パス

DELETE /api/v1/forward/vaults/{id}/credentials/{cred_id}

リクエストヘッダー

ヘッダー必須説明
AuthorizationはいBearer <PAT または SAT>
Forward は Credential を削除する前に、呼び出し元が対象 Vault を所有していることを確認します。

パス参数

パラメーター型必須説明
idstringはいVault ID。
cred_idstringはいCredential ID。

クエリパラメーター

ParameterTypeRequiredDescription
identity_idstringNoIdentity に属するリソースを操作する場合のみ使用する任意のパラメーターです。PAT では明示的に指定でき、省略時は管理者スコープになります。SAT では Identity スコープのトークンを発行し、このパラメーターを明示的に指定しないでください。指定すると HTTP 400 が返されます。Identity の帰属.

リクエスト例

curl -X DELETE "https://api.qoder.com/api/v1/forward/vaults/vault_xxx/credentials/vcred_xxx" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

レスポンス例

{
  "id": "vcred_xxx",
  "type": "vault_credential_deleted",
  "deleted": true
}

レスポンスフィールド

フィールド型説明
idstringID of the deleted resource.
typestring削除結果のタイプ。
deletedbooleanリソースが削除されたかどうか。

エラー

HTTPType発生条件
400invalid_request_errorThe request body, path parameters, or pagination parameters are invalid, including an invalid auth object, such as static_bearer without token. SAT が identity_id を明示的に指定した場合も返されます。
401authentication_error認証トークンがないか、無効です。
403permission_errorVault identity_id を指定しない PAT または Admin SAT で Owner mismatch が発生したか、その他の権限が不足しています。
404not_found_errorThe Vault or Credential does not exist or is not visible. identity_id is invalid, disabled, or does not belong to the caller, or the target resource does not belong to the current Identity scope.
409conflict_errorCredential の状態が操作と競合しています。
500/502/503api_errorForward または依存サービスでエラーが発生しました。
Credential リクエストの認証情報は機密データです。一部の詳細な検証メッセージは共通のマスク済みメッセージに置き換えられますが、HTTP ステータスとエラー type は変わりません。